%define	name	cgixx
%define	version	1.04
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	C++ library for Common Gateway Interface (CGI).
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	Isaac W. Foraker (Redistributable)
Group:		Development/Libraries
Vendor:		Isaac W. Foraker <isaacATtazthecatDOTnet>
Url:		http://tazthecat.net/~isaac/cgixx
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
cgixx is intended as a modern CGI library for ISO standard C++ compilers. The
focus of the cgixx library is not for the generation of complex HTML forms, but
rather fast and reliable conversations between CGI and your C++ code. cgixx
supports standard GET, POST, HEAD, and PUT CGI methods and cookies as defined
in the version 1.1 specification.

%prep
%setup -q
export CXX="g++" CXXFLAGS="${RPM_OPT_FLAGS}";
./configure.pl

%build
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/include/cgixx
install -m 644 inc/cgixx/* ${RPM_BUILD_ROOT}%{prefix}/include/cgixx
install -m 755 src/libcgixx.a ${RPM_BUILD_ROOT}%{prefix}/lib/libcgixx.a

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-, root, root)
%doc INSTALL LICENSE README revisions.txt doc/*.html doc/html/*.html
%{prefix}/lib/libcgixx.a
%{prefix}/include/cgixx

%changelog
* Sun Nov 17 2002 Ryan Weaver <ryanw@falsehope.com>
  [cgixx-1.04-1]
- Initial RPM Build.
- Stopped using std::string::clear and std::string::iterator
  for GCC 2.95.4 support.
- Added compat.h header for extra support for GCC 2.95.x and MSVC 6.0.

